#ifndef XM_BUFFERS_H_
/*
  Standard Midas Buffer definitions

  @author Duy Huang
  @since NeXtMidas 3.9.3 for GFC support

*/

struct BUFFER {

    int_1 bbuf[L_bbuf];

    complex_16 * const cdbuf;
    complex_8  * const cfbuf;
    real_8     * const dbuf;
    real_4     * const fbuf;
    int_8      * const xbuf;
    int_4      * const lbuf;
    int_2      * const ibuf;

    BUFFER ():
      cdbuf(reinterpret_cast<complex_16*>(bbuf)),
      cfbuf(reinterpret_cast<complex_8*>(bbuf)),
      dbuf(reinterpret_cast<real_8*>(bbuf)),
      fbuf(reinterpret_cast<real_4*>(bbuf)),
      xbuf(reinterpret_cast<int_8*>(bbuf)),
      lbuf(reinterpret_cast<int_4*>(bbuf)),
      ibuf(reinterpret_cast<int_2*>(bbuf))
	
    { }

};

#define XM_BUFFERS_H_
#endif

